<html>
<head>
<title>Dynabar Userbar Designer</title>
  <link rel="stylesheet" href="designer.css" />

  <script>

    var path = "{$path}";

    {literal}
    function setEasyStuff(bar)
    {
      document.getElementById('bbcode').value = "[img]"+path+bar+".png[/img]";
      document.getElementById('html').value = '<img src="'+path+bar+'".png" border="0" />';
      document.getElementById('preview').src = path+bar+".png";

      document.getElementById('barName').value = bar;
    }

    function addToGroup()
    {
      if (document.getElementById('groupBars').options.length < 10)
      {
        var opt = document.createElement('option');
        opt.value = document.getElementById('barName').value;
        opt.text = document.getElementById('barName').value;
        document.getElementById('groupBars').options.add(opt);
      }
      else
        alert('The group is full!');
    }

    function removeFromGroup()
    {
        document.getElementById('groupBars').remove(document.getElementById('groupBars').selectedIndex);
    }

    function savezorGroup()
    {
      var name = document.getElementById('groupName').value;
      var delay = document.getElementById('groupDelay').value;
      var blend = (document.getElementById('groupBlend').checked) ? '1' : '0';
      var bars = '';

      if ((name == '') || (name == 'test') || (name == 'Test'))
      {
        alert('Please enter a group name');
      }
      else if (document.getElementById('groupBars').options.length < 1)
      {
        alert('You have not selected any bars for this group!');
      }
      else
      {

        for (var i = 0; i < document.getElementById('groupBars').options.length; i++)
          bars = bars + ';' + document.getElementById('groupBars').options[i].value;

        document.location = 'finaliseGroup.php?name=' + name + '&delay=' + delay + '&blend=' + blend + '&bars=' + bars;
      }
    }
    {/literal}

  </script>
</head>
<body>

<div align="center">

<img src="dynabar.png" border="0" /><br /><br />

<div style="width:640px; text-align: left">

<fieldset><legend>Existing Dynabars</legend>
  <div align="center">
    {section loop=$bars name=bar}
      <img src="{$path}{$bars[bar]}.png" ondblclick="addToGroup()" onclick="setEasyStuff('{$bars[bar]}')" title="{$bars[bar]}" alt="{$bars[bar]}" /><br /><br />
    {/section}
  </div> 
</fieldset><br />

<fieldset><legend>Noob-friendly copy-paste code</legend>
  <div align="center">
    <img id="preview" src="{$path}{$bars[0]}.png" border="0" />
  </div><br />
  Use the following forum code to insert the image into your forum signature: <br />
  <div align="center"><input id="bbcode" type="text" readonly="true" style="width:90%; text-align:center" value="Click a Dynabar to see easy copy-paste code." /></div> <br /><br />
  Or use the following HTML to insert the image onto any website: <br />
  <div align="center"><input id="html" type="text" readonly="true" style="width:90%; text-align:center" value="Click a Dynabar to see easy copy-paste code." /></div> <br />
</fieldset><br />

<fieldset><legend>Create animated Dynabar group</legend>
  You can create a single animated Dynabar, composed of a number of Dynabars. Using a Dynabar group can reduce the size of your signatures (or anywhere else you choose to display them) dramatically.<br /><br />
  You can have up to 10 Dynabars in a single group. As Dynabars are obviously generated dynamically, the more you add, the longer your group will take to load. Groups will be cached for 10 minutes, so the Dynabars they contain will not be updated during that time.<br /><br />
  Add Dynabars to your group by double-clicking them in the list above, or by entering their names below and clicking the "Add" button.<br /><br /><br />

  <div class="formatInputs">
    <label>Add Dynabar by name:</label> <input id="barName" type="text" /> <button onclick="addToGroup()">Add</button><br />
    <label>Selected Dynabars:</label> <select id="groupBars" size="5"></select> <button onclick="removeFromGroup()">Remove</button><br />
    <label>Group name:</label> <input type="text" id="groupName" /><br />
    <label>Delay between frames:</label> <input id="groupDelay" type="text" value="2" /> (seconds)<br />
    <label>Blend between frames:</label> <input type="checkbox" id="groupBlend" /> (larger file size, slower loading)<br />
    <label>&nbsp;</label><button onclick="savezorGroup()">Save</button>
  </div>
</fieldset><br />

<div style="text-align: center; margin: 50px; font-size: 8pt">
  Dynabar Userbar Designer | by <img src="shrimpworks2.png" border="0" align="absmiddle" alt="ShrimpWorks" /> <a href="http://shrimpworks.za.net/">ShrimpWorks</a> | August 2006
</div>

</div>
</div>

</body>
</html>
