<html>
<head>
<title>Dynabar Userbar Designer</title>
  <link rel="stylesheet" href="designer.css" />

  <script>
    var someReallyRandomNumber = Math.round(Math.random()*100000);
    var barName = '';
  </script>

</head>
<body id="body">

<iframe id="magicFrame" name="magicFrame" style="display:none"></iframe>

<div align="center">

<img src="dynabar.png" border="0" /><br /><br />

<div style="width:640px; text-align: left">

<fieldset><legend>Userbar Name</legend>
<div id="nameSelect" class="formatInputs">
  Enter a unique name for your userbar, without spaces:<br /><br />
  <label>Name:</label> <input type="text" id="barName" /><br />
  <label>&nbsp;</label><button onclick="setName(document.getElementById('barName').value)">Update</button>
</div>
</fieldset><br />

<fieldset><legend>Base Image</legend>
<div id="baseSelect" class="formatInputs">
  Select a base/background image. Images must be 350 pixels wide, and 19 pixels high.<br /><br />
  <form enctype="multipart/form-data" method="post" id="baseUploadForm" target="magicFrame" action="actions/uploadImage.php">
    <label>Select:</label> <input type="file" id="uploadBase" name="uploadBase" style="width:50%" onchange="uploadBaseLOL()" />
  </form>
</div>
</fieldset><br />

<fieldset><legend>Secondary overlay Image</legend>
<div id="overlaySelect" class="formatInputs">
  You may optionally select another image to be overlayed on top of the base image, and the scanlines if you enable them. Images must be 350 pixels wide, and 19 pixels high.<br /><br />
  <form enctype="multipart/form-data" method="post" id="overlayUploadForm" target="magicFrame" action="actions/uploadImage.php">
    <label>Select:</label> <input type="file" id="uploadBase" name="uploadBase" style="width:50%" onchange="uploadOverlayROFL()" />
  </form>
</div>
</fieldset><br />

<fieldset><legend>Gradient</legend>
<div id="gradientOptions" class="formatInputs">
  <label>Use colour gradient as base:</label> <input type="checkbox" id="optGradient" onclick="setOption('grad', this)" /><br />
  <label>Gradient type: </label><select id="gradType" onchange="setOptionValue('gradVert', document.getElementById('gradType'))">
      <option value="0">Horizontal</option>
      <option value="1">Vertical</option>
  </select><br />
  <label>Start colour: </label><input type="text" name="gradStart" id="gradStart" size="10" value="#555555"> <a href="#" onclick="cp.select(document.getElementById('gradStart'), 'gradStartC'); return false;" name="gradStartC" id="gradStartC">Choose</a> <button onclick="setOptionValue('gradStart', document.getElementById('gradStart'))">Update</button>
  <br />
  <label>End colour: </label><input type="text" name="gradEnd" id="gradEnd" size="10" value="#999999"> <a href="#" onclick="cp.select(document.getElementById('gradEnd'), 'gradEndC'); return false;" name="gradEndC" id="gradEndC">Choose</a> <button onclick="setOptionValue('gradEnd', document.getElementById('gradEnd'))">Update</button>
</div>
</fieldset><br />

<fieldset><legend>Plugin</legend>
<div id="pluginSelect" class="formatInputs">
  <label>Select:</label> <select onchange="setPlugin(this)" id="pluginList">
    {section loop=$plugins name=heh}
      <option value="{$plugins[heh].id}">{$plugins[heh].name}</option>
    {/section}
  </select><br /><br />
  <b>Info:</b> <span id="pluginHelp"></span>
</div>
</fieldset><br />

<fieldset><legend>Plugin Options</legend>
<div id="pluginParams" class="formatInputs">
</div>
</fieldset><br />

<fieldset><legend>Extra Options</legend>
<div id="extraOptions" class="formatInputs">
  <label>Prefix text: </label><input type="text" id="prefixText" /> <button onclick="setOptionValue('prefix', document.getElementById('prefixText'))">Update</button><br />
  <label>Suffix text: </label><input type="text" id="suffixText" /> <button onclick="setOptionValue('suffix', document.getElementById('suffixText'))">Update</button><br />
  <label>Scanlines: </label><select id="optScanlines" onchange="setOptionValue('scanlines', this)">
      <option value="0">None</option>
      <option value="scanline.png">Full</option>
      <option value="scanline-fade-left.png">Fade Left</option>
      <option value="scanline-fade-right.png">Fade Right</option>
  </select><br />
  <label>Overlay glass shine:</label><input type="checkbox" id="optShine" onclick="setOption('shine', this)" /> 
</div>
</fieldset><br />

<fieldset><legend>Preview</legend>
<div id="preview" align="center">
  <img id="previewPic" border="0" />
</div>
</fieldset><br />

<fieldset><legend>Options</legend>
<div align="center">
  <button onclick="saveBar('save')">Save Userbar</button>
  <button onclick="saveBar('delete')">Delete Userbar</button>
</div>
</fieldset><br />


</div>
</div>

<div style="text-align: center; margin: 50px; font-size: 8pt">
  Dynabar Userbar Designer | by <img src="shrimpworks2.png" border="0" align="absmiddle" alt="ShrimpWorks" /> <a href="http://shrimpworks.za.net/">ShrimpWorks</a> | August 2006
</div>

<script type="text/javascript" src="jscript/_designer.js"></script>
<script type="text/javascript" src="jscript/ColorPicker2.js"></script>
<script>
  var cp = new ColorPicker();
  cp.writeDiv();
</script>

</body>
</html>